> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omni.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard document

> Retrieves dashboard document configuration in a format compatible with PUT for round-trip editing. This endpoint returns all fields needed to modify and update a dashboard document.

**Note:** This endpoint only supports dashboard documents. Workbook-only documents are not supported and will return a `400 Bad Request` error.




## OpenAPI

````yaml /api/openapi.yaml get /v1/documents/{documentId}
openapi: 3.1.0
info:
  title: Omni API
  description: >
    The Omni REST API provides programmatic access to your Omni instance for
    managing users, documents, queries, schedules, and more.  
  version: 1.0.0
  contact:
    name: Omni Support
    url: https://docs.omni.co
servers:
  - url: https://{instance}.omniapp.co/api
    description: Production
    variables:
      instance:
        default: blobsrus
        description: Your production Omni instance subdomain
  - url: https://{instance}.playground.exploreomni.dev/api
    description: Playground
    variables:
      instance:
        default: blobsrus
        description: Your playground Omni instance subdomain
security:
  - bearerAuth: []
  - orgApiKey: []
tags:
  - name: AI
    description: AI-powered query generation
  - name: API Tokens
    description: >-
      Manage API tokens (Organization keys, Personal Access Tokens, MCP OAuth
      grants)
  - name: Connections
    description: Manage database connections
  - name: Connection environments
    description: Manage connection environments database connections
  - name: Content
    description: Unified content retrieval (documents and folders)
  - name: Content migration
    description: Export and import dashboards
  - name: Content validator
    description: Validate content against models and perform find/replace operations
  - name: Dashboard downloads
    description: Download dashboards and tiles as PDF, PNG, XLSX, CSV, or JSON files
  - name: Dashboard filters and controls
    description: Read and update dashboard filter and control default values
  - name: dbt
    description: Manage dbt configuration for connections
  - name: Documents
    description: Create, retrieve, and manage documents
  - name: Document favorites
    description: Favorite and unfavorite documents
  - name: Document labels
    description: Apply and manage labels on documents
  - name: Document permissions
    description: Manage document-level access
  - name: Labels
    description: >
      Manage labels in an organization. Labels can be applied to documents and
      folders to help organize and categorize content.


      **Label types:**

      - **Basic labels**: Can be created and managed by any user

      - **Verified labels**: Indicate curated or officially sanctioned content.
      Admin-only.

      - **Homepage labels**: Appear on the organization homepage. Admin-only.
  - name: Folders
    description: Create and organize content folders
  - name: Folder permissions
    description: Manage folder-level access
  - name: Jobs
    description: Check status of asynchronous jobs
  - name: Models
    description: Create and manage data models
  - name: Model branches
    description: Manage model branches and merge changes
  - name: Model git configuration
    description: Manage git configuration for shared models
  - name: Queries
    description: Execute workbook queries
  - name: Schedules
    description: Create and manage scheduled tasks
  - name: Schedule recipients
    description: Manage schedule recipients
  - name: Schema refresh schedules
    description: Manage automated schema refresh schedules for connections
  - name: Topics
    description: Retrieve topic information from models
  - name: Uploads
    description: Manage file uploads
  - name: Users
    description: Manage users
  - name: User attributes
    description: Manage user attribute definitions
  - name: User groups
    description: Manage user groups
  - name: User model roles
    description: Manage model and connection role assignments for users
  - name: User group model roles
    description: Manage model and connection role assignments for user groups
  - name: Uploads
    description: Manage CSV and spreadsheet uploads
paths:
  /v1/documents/{documentId}:
    get:
      tags:
        - Documents
      summary: Get dashboard document
      description: >
        Retrieves dashboard document configuration in a format compatible with
        PUT for round-trip editing. This endpoint returns all fields needed to
        modify and update a dashboard document.


        **Note:** This endpoint only supports dashboard documents. Workbook-only
        documents are not supported and will return a `400 Bad Request` error.
      operationId: getDocument
      parameters:
        - name: documentId
          in: path
          required: true
          schema:
            type: string
          description: >
            The document identifier. To retrieve the ID, navigate to **File >
            Document settings** in the document and then click **Settings**. The
            **Identifier** field contains the document ID.
      responses:
        '200':
          description: Document retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                    description: The name of the document
                  modelId:
                    type: string
                    format: uuid
                    description: The ID of the model the document is built on
                  facetFilters:
                    type: boolean
                    description: Whether facet filters are enabled for the document
                  description:
                    type: string
                    description: The description of the document
                  refreshInterval:
                    type: integer
                    description: Auto-refresh interval in seconds
                  filterConfig:
                    type: object
                    description: Filter configuration for the document
                  filterOrder:
                    type: array
                    items:
                      type: string
                    description: Array of filter field names defining the order of filters
                  queryPresentations:
                    type: array
                    description: >-
                      Array of query presentation objects representing tabs in
                      the document's workbook
                    items:
                      type: object
                      properties:
                        name:
                          type: string
                          description: Name of the query tab
                        query:
                          type: object
                          description: Full OmniQuery object with all query fields
                          properties:
                            fields:
                              type: array
                              items:
                                type: string
                              description: Array of field names to include in the query
                            table:
                              type: string
                              description: The table to query from
                            limit:
                              type: integer
                              description: Maximum number of rows to return
                            filters:
                              type: object
                              description: Filter conditions for the query
                            sorts:
                              type: array
                              items:
                                type: object
                              description: Sort order for the query results
                            modelId:
                              type: string
                              format: uuid
                              description: The model ID for the query
                        chartType:
                          type: string
                          description: Chart type (e.g., "bar", "line", "area", "table")
                        visualization:
                          type: object
                          description: Visualization configuration
                          properties:
                            visType:
                              type: string
                              description: The visualization type (e.g., "basic")
                            config:
                              type: object
                              description: Visualization-specific configuration
                            fields:
                              type: array
                              items:
                                type: string
                              description: Fields used in the visualization
                        prefersChart:
                          type: boolean
                          description: Whether the query prefers chart view over table view
                        id:
                          type: string
                          format: uuid
                          description: Query presentation ID
                        queryIdentifierMapKey:
                          type: string
                          description: Query identifier map key
                        description:
                          type: string
                          description: Description of the query (if set)
                        subTitle:
                          type: string
                          description: Subtitle for the query (if set)
                        topicName:
                          type: string
                          description: Topic name associated with the query (if set)
                        aiConfig:
                          type: object
                          description: AI configuration for the query
                        resultConfig:
                          type: object
                          description: Result table configuration
              example:
                name: Sales Dashboard
                modelId: abc123de-f456-7890-abcd-ef1234567890
                facetFilters: true
                refreshInterval: 300
                filterConfig:
                  date_range:
                    type: date
                    defaultValue: last_7_days
                filterOrder:
                  - date_range
                  - region
                queryPresentations:
                  - name: Revenue by Region
                    query:
                      fields:
                        - order_items.total_revenue
                        - orders.region
                      table: order_items
                      limit: 1000
                      filters: {}
                      sorts: []
                      modelId: abc123de-f456-7890-abcd-ef1234567890
                    chartType: bar
                    prefersChart: true
                    visualization:
                      visType: basic
                      config:
                        xAxis: orders.region
                        yAxis: order_items.total_revenue
                      fields:
                        - order_items.total_revenue
                        - orders.region
                    id: cd54494d-318f-4105-af1c-10af59e62b2e
                    queryIdentifierMapKey: '1'
                    aiConfig: {}
                    resultConfig: {}
        '400':
          description: |
            Bad Request

            Possible error messages:
            - `Analysis documents are not supported`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                detail: Analysis documents are not supported
                status: 400
        '403':
          description: |
            Forbidden. User does not have permission to view the document.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                detail: User does not have permission to view this document
                status: 403
        '404':
          description: |
            Not Found

            Possible error messages:
            - `Document with identifier "<documentId>" not found`
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                detail: Document with identifier "054518c8" not found
                status: 404
        '429':
          $ref: '#/components/responses/TooManyRequests'
      security:
        - bearerAuth: []
components:
  schemas:
    Error:
      type: object
      properties:
        error:
          type: string
          description: HTTP response code for the error
          example: <response_code>
        message:
          type: string
          description: Detailed error description
          example: <error_reason>
  responses:
    TooManyRequests:
      description: Too Many Requests - Rate limit exceeded (60 requests/minute)
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Can be either an [Organization API
        Key](/api/authentication#organization-api-keys) or [Personal Access
        Token (PAT)](/api/authentication#personal-access-tokens-pat).


        Include in the `Authorization` header as: `Bearer YOUR_TOKEN`
    orgApiKey:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >
        Requires an [Organization API
        Key](/api/authentication#organization-api-keys). Personal Access Tokens
        (PATs) are not supported for this endpoint.


        Include in the `Authorization` header as: `Bearer ORGANIZATION_API_KEY`

````